Forums: オフトピック (Thread #11887)

SSLライブラリー (2006-07-31 10:16 by Anonymous #24046)

POPFileに直接関わりは無いのですが、2006/07/28にバージョンアップしたところ、SSLでの接続が出来なくなりました。
SSLのバージョンを0.97に落としたところ、無事接続できるようになりましたが、皆様のところで同様の現象は生じていませんでしょうか?

Reply to #24046×

You can not use Wiki syntax
You are not logged in. To discriminate your posts from the rest, you need to pick a nickname. (The uniqueness of nickname is not reserved. It is possible that someone else could use the exactly same nickname. If you want assurance of your identity, you are recommended to login before posting.) Login

RE: SSLライブラリー (2006-07-31 12:14 by amatubu #24047)

お使いのプラットフォームはなんでしょう。
また、「バージョンアップした」というのは、POPFile を
バージョンアップしたのでしょうか? SSL モジュール
(IO::Socket::SSL)をバージョンアップしたのでしょうか?

私の知る限りでは、SSL モジュール(IO::Socket::SSL)との
互換性に関して 2 つの問題が見つかっています。

ひとつは、クロスプラットフォーム版で、IO::Socket::SSL 0.97 と
互換性がないという問題
http://popfile.sourceforge.net/cgi-bin/wiki.pl?JP_FrequentlyAskedQuestions/SSL

もうひとつは、Windows 版で、IO::Socket::SSL 0.99 (以降?)と
互換性がないという問題
https://sourceforge.net/forum/forum.php?thread_id=1539028&forum_id=213100

もし、Windows 版を使われているのであれば、上記の問題が
関係しているのかもしれません。
これは、IO::Socket::SSL 0.99 以降で新たに必要となった
モジュールが Windows 版に含まれている「最小限の Perl」に
含まれていないことが原因です。

それ以外の環境でしたら、Perl のバージョンや他のモジュールの
バージョンなどに起因する新しい問題かもしれません。
Reply to #24046

Reply to #24047×

You can not use Wiki syntax
You are not logged in. To discriminate your posts from the rest, you need to pick a nickname. (The uniqueness of nickname is not reserved. It is possible that someone else could use the exactly same nickname. If you want assurance of your identity, you are recommended to login before posting.) Login

RE: SSLライブラリー (2006-07-31 22:16 by Anonymous #24071)

Windows(XP)ですが私も同様の症状になりました。
自作機を新たに組み上げたのでPOPFileをインストールしたところ
SSLで接続しようとするとPOPFileがクラッシュします。
通常のPOPでは動作しました。

Windowsに関して確認したのみですが、
SSLサポートにチェックを入れてインストールした場合
http://theoryx5.uwinnipeg.ca/ppms/x86/
からIO-Socket-SSL.tar.gzをダウンロードするようになっています。

このファイルが「18-Jul-2006」にアップデートされていて、
中に含まれるSSL.pmのバージョンが「0.97」から「0.99」になっていました。
SSL.pmを「0.97」に差し替えたところ正常に通信できました。

他のインストールされるファイルを比較したところ差異はありませんでした。
したがって「amatubu」さんの言われるように互換性の問題かと思われます。
2つの内のどちらに起因するものかは分かりませんが。
Reply to #24047

Reply to #24071×

You can not use Wiki syntax
You are not logged in. To discriminate your posts from the rest, you need to pick a nickname. (The uniqueness of nickname is not reserved. It is possible that someone else could use the exactly same nickname. If you want assurance of your identity, you are recommended to login before posting.) Login

RE: SSLライブラリー (2006-08-01 12:13 by amatubu #24088)

私が書いた後者の問題のようですね。
書かれているとおり、POPFile インストーラがダウンロード
する IO::Socket::SSL モジュールがバージョンアップ
されたことにより、それ以降に SSL モジュールを
インストールすると POPFile 0.22.4 とは互換性のない
バージョン(0.99)がインストールされてしまいます。

現在、この問題への対策を施した SSL モジュール専用の
インストーラが
http://www.sugelan.co.uk/popfile/download/cvsbuild/addssl.zip
で公開されています。

POPFile の次のバージョン(0.22.5?)では解決されると
思います。
Reply to #24071

Reply to #24088×

You can not use Wiki syntax
You are not logged in. To discriminate your posts from the rest, you need to pick a nickname. (The uniqueness of nickname is not reserved. It is possible that someone else could use the exactly same nickname. If you want assurance of your identity, you are recommended to login before posting.) Login

RE: SSLライブラリー (2006-08-01 10:41 by Anonymous #24083)

お返事有り難うございました。
最初に投稿したものです。

OSはWindows2000です。
POPFile(0.22.2)およびSSLを同時にアップデートしたところ、上記現象が発生しました。

リンク先を拝見してWindoes版のSSLに互換性が無いためによるものと認識しました。
情報の収集不足によりお手間取らせて申し訳ございませんでした。

私がやったことも次の方がおっしゃったようにSSL.pmの差し替えです。
ちなみに、IO-Socket-SSLはhttp://search.cpan.org/~behroozi/
からダウンロードしました。

このスレッドが同様の問題を抱えた人の解決につながれば幸いです。
Reply to #24046

Reply to #24083×

You can not use Wiki syntax
You are not logged in. To discriminate your posts from the rest, you need to pick a nickname. (The uniqueness of nickname is not reserved. It is possible that someone else could use the exactly same nickname. If you want assurance of your identity, you are recommended to login before posting.) Login

RE: SSLライブラリー (2006-08-01 12:16 by amatubu #24090)

本家フォーラムではこの問題が話題になっていましたが、
こちらのフォーラムではこれまで報告されていません
でした。貴重な情報をありがとうございました。
Reply to #24083

Reply to #24090×

You can not use Wiki syntax
You are not logged in. To discriminate your posts from the rest, you need to pick a nickname. (The uniqueness of nickname is not reserved. It is possible that someone else could use the exactly same nickname. If you want assurance of your identity, you are recommended to login before posting.) Login